# hl7soup containerization

this was tested with windows server 20H2 host - if your host is different, you may need to change the base image tag in the Dockerfile

**to start:**

`docker-compose up`

this will expose the server API at port 22000 and a workflow at port 8080

**some curl commands:**

`curl <_host IP_>:22000/ping` - responds with server license info

`curl <_host IP_>:22000/workflow` - lists workflows 

`curl -v -X POST -H "Content-Type: application/json" -d '{"Patient": {"ID": "12","FirstName": "Joe","LastName": "Mama","DOB": "1980-03-22","Results": {"Result": [{"Device": "MED1","Observation": "Count","Value": "10"},{"Device": "MED1","Observation": "Count1","Value": "12"},{"Device": "MED2","Observation": "Count","Value": "33"}]}}}' http://<_host IP_>:8080/HL7Soup/`

- runs a test workflow with the sent data and writes an output file inside the container. you should also see logs on the server console.

**to check the output file:**

`docker exec -it hl7soup-containerization_server_1 cmd.exe`

`type c:\temp\output.hl7`